import { JSONObject } from '@lumino/coreutils';
import { KernelMessage } from '@jupyterlab/services';
import { OutputArea } from '@jupyterlab/outputarea';
import { Kernel } from './../../jupyter/kernel/Kernel';
/**
 * Execute code on an output area.
 */
export declare function execute(id: string, code: string, output: OutputArea, kernel: Kernel, metadata?: JSONObject): Promise<KernelMessage.IExecuteReplyMsg | undefined>;
