import { jsx as _jsx } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { createRoot } from 'react-dom/client';
import Jupyter from '../jupyter/Jupyter';
import Notebook from '../components/notebook/Notebook';
import NotebookToolbar from './toolbars/NotebookToolbar';
import CellSidebar from '../components/notebook/cell/sidebar/CellSidebar';
import nbformat from './notebooks/NotebookExample1.ipynb.json';
const NotebookNbFormat = () => (_jsx(Jupyter, { children: _jsx(Notebook, { nbformat: nbformat, id: "notebook-model-id", height: "calc(100vh - 2.6rem)" // (Height - Toolbar Height).
        , cellSidebarMargin: 120, CellSidebar: CellSidebar, Toolbar: NotebookToolbar }) }));
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(NotebookNbFormat, {}));
//# sourceMappingURL=NotebookNbFormat.js.map